@charset "utf-8";

/* 내용관리 */
#ctt {margin:10px 0;padding:0;background:#fff}
.ctt_admin {text-align:right}
#ctt header h1 {position:absolute;font-size:0;line-height:0;overflow:hidden}
#ctt_con {padding:10px 0;line-height:1.6em}
#ctt_con img{max-width:100%;height:auto}
.ctt_img {text-align:center}


.roulette-container {
    position: relative;
    text-align: center;
    background: url(/img/roulette_bg.png) no-repeat center/contain;
}

.pageNotice {
    color: #fff;
    font-size: 16px;
    background: #2d2d38;
    border-radius: 6px;
    padding: 18px 22px;
    display: flex;
    align-items: start;
    line-height: 1.5;
    margin-bottom: 30px;
}

.roulette-container:before {
    position: absolute;
    content: '';
    top: -4%;
    left: 50%;
    transform: translate(-50%);
    width: 32px;
    height: 60px;
    background: url(/img/roulette_pin.png) no-repeat 0 0 / 100% auto;
    z-index: 1;
}

#roulette {
    position: relative;
    width: 420px;
    height: 420px;
    border: 8px solid #fff;
    border-radius: 50%;
    margin: 0 auto;
    overflow: hidden;
    box-shadow: 0 0 14px rgba(0, 0, 0, .25);
}
.rlt-notice {background-color:#f8f8f8;padding:20px;border-radius:10px;font-weight:500;}

.rlt-left {
    text-align: center;
}

.rlt-wrap {
    overflow: hidden;
    padding: 80px 0;
}

.rlt-chat-wrap {
    position: fixed;
    background: rgba(0, 0, 0, .25);
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    transition: all .4s ease;
    opacity: 0;
    visibility: hidden;
}

.rlt-chat-wrap.active {
    z-index: 10;
    opacity: 1;
    visibility: visible;
}

.rlt-chat {
    width: 400px;
    max-width: 80%;
    border-radius: 8px;
    background-color: #f1f1f1;
    padding: 28px 24px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    text-align: center;
}

.rlt-chat .rlt-chat-title {
    font-size: 16px;
    text-align: center;
    font-weight: 600;
    color: #000;
    line-height: 1.5;
}

.rlt-chat .rlt-chat-box {
    margin-top: 24px;
    background-color: #fff;
    border-radius: 12px;
    min-height: 80px;
    text-align: center;
    padding: 20px;
}

.rlt-chat .rlt-chat-box p {
    color: red;
    font-size: 28px;
    text-align: center;
    font-weight: 600;
    line-height: 1.4;
}

.rlt-chat .close {
    margin-top: 30px;
    display: inline-block;
    width: 150px;
    border-radius: 100px;
    background-color: #343434;
    color: #fff;
    padding: 14px;
    font-size: 16px;
    font-weight: 600;
}

.rlt-alert-wrap {
    position: fixed;
    background: rgba(0, 0, 0, .25);
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    transition: all .4s ease;
    opacity: 0;
    visibility: hidden;
}

.rlt-alert-wrap.active {
    z-index: 10;
    opacity: 1;
    visibility: visible;
}

.rlt-alert {
    width: 320px;
    max-width: 80%;
    border-radius: 8px;
    background-color: #f1f1f1;
    padding: 24px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    text-align: center;
}

.rlt-alert-text {
    line-height: 1.6;
    font-weight:500;
    font-size: 16px;
}

.rlt-alert-btn {
    display: flex;
    gap:12px;
    margin-top: 20px;
}

.rlt-alert .close {
    display: inline-block;
    width: 150px;
    border-radius: 100px;
    background-color: #dedede;
    color: #777;
    padding: 11px 14px;
    font-size: 16px;
    font-weight: 600;
}

.rlt-alert .spin {
    display: inline-block;
    width: 150px;
    border-radius: 100px;
    background-color: #f53030;
    color: #fff;
    padding: 11px 14px;
    font-size: 16px;
    font-weight: 600;
}

.rlt-winner-wrap {
    position: fixed;
    background: rgba(0, 0, 0, .25);
    left: 0;
    top: 0;
    bottom: 0;
    right: 0;
    transition: all .4s ease;
    opacity: 0;
    visibility: hidden;
}

.rlt-winner-wrap.active {
    z-index: 10;
    opacity: 1;
    visibility: visible;
}

.rlt-winner {
    width: 400px;
    max-width: 80%;
    border-radius: 8px;
    background-color: #f1f1f1;
    padding: 28px 24px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 10;
    box-shadow: 0 0 10px rgba(0, 0, 0, .2);
    text-align: center;
}

.rlt-winner .rlt-winner-title {
    font-size: 14px;
    text-align: center;
    font-weight: 600;
    color: #000;
    line-height: 1.5;
}

.rlt-winner .rlt-winner-title strong {
    color: red;
    font-size: 26px;
}

.rlt-winner .rlt-winner-title p {
    margin-top: 4px;
    font-weight: 400;
}

.rlt-winner .rlt-winner-box {
    margin-top: 24px;
    background-color: #fff;
    border-radius: 12px;
    height: 200px;
    padding: 12px 30px;
    overflow: auto;
}

.rlt-winner .rlt-winner-box p {
    text-align: left;
    font-weight: 500;
    line-height: 1.4;
    border-bottom: 1px solid #eee;
    padding: 7px 0;
}

.rlt-winner .rlt-winner-box p:last-child {
    border-bottom: 0;
}

.rlt-winner .winner-notice {
    margin-top: 20px;
    color: #666;
}

.rlt-winner .close {
    margin-top: 20px;
    display: inline-block;
    width: 150px;
    border-radius: 100px;
    background-color: #343434;
    color: #fff;
    padding: 11px 14px;
    font-size: 16px;
    font-weight: 600;
}


@keyframes fadeIn {
    from {
        opacity: 0;
        transform: translateY(20px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

.rlt-line {
    animation: fadeIn 0.5s ease-out forwards;
}

.pin {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 32px;
    height: 32px;
    background-color: #222;
    border-radius: 50%;
    border: 1px solid #eee;
}

.rlt-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 15px;
}

.btn-roulette {
    width: 180px;
    height: 52px;
    color: #fff;
    font-weight: 600;
    font-size: 18px;
    line-height: 52px;
    background-color: #f33921;
    border-radius: 100px;
    margin-top: 40px;
}

.btn-roulette:disabled {
    opacity: .5;
}

.btn-winner {
    width: 180px;
    height: 52px;
    color: #fff;
    font-weight: 600;
    font-size: 18px;
    line-height: 52px;
    background-color: #525252;
    border-radius: 100px;
    margin-top: 40px;
}

.btn-winner:disabled {
    opacity: .5;
}

.rlt-service {padding:0 30px 30px;color:#7f7f7f;line-height:1.6;font-weight:500;word-break:keep-all;}


@media all and (max-width:1024px){
    .entryContainer {padding:0 16px 24px;}
}

@media all and (max-width:520px){
    .rlt-notice {margin: 0 20px;}
    .rlt-wrap {padding: 50px 0;}
    #roulette {width:82vw;height:82vw;}
    #roulette .text-container span {font-size:18px !important;}
    #roulette .text-container div {width:90px !important;}
    .btn-roulette {width:140px;font-size:16px;height:44px;line-height:44px;margin-top:26px;}
    .btn-winner {width:140px;font-size: 16px;height: 44px;line-height: 44px;margin-top: 26px;}
    .rlt-service {font-size:14px;padding:0 20px 20px;}

    .rlt-chat {width:86%;}
}